Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Auth roles
Generated reference for Auth roles endpoints. This generated page groups every public API operation in the Auth roles category.Endpoints
- GET /v1/public/accounts/{account_id}/auth/role-assignments - List Role Assignments
- POST /v1/public/accounts/{account_id}/auth/role-assignments - Assign Role
- DELETE /v1/public/accounts/{account_id}/auth/role-assignments/{assignment_id} - Revoke Role Assignment
List Role Assignments
GET/v1/public/accounts/{account_id}/auth/role-assignments
List Account Role Assignments
List account-scope role assignments.
Full reference: GET /v1/public/accounts/{account_id}/auth/role-assignments
OpenAPI reference:
/openapi.en.json GET /v1/public/accounts/{account_id}/auth/role-assignmentsAssign Role
POST/v1/public/accounts/{account_id}/auth/role-assignments
Create Account Role Assignment
Create an account-scoped role assignment.
Full reference: POST /v1/public/accounts/{account_id}/auth/role-assignments
OpenAPI reference:
/openapi.en.json POST /v1/public/accounts/{account_id}/auth/role-assignmentsRevoke Role Assignment
DELETE/v1/public/accounts/{account_id}/auth/role-assignments/{assignment_id}
Revoke Account Role Assignment
Revoke an account-scoped role assignment.
Full reference: DELETE /v1/public/accounts/{account_id}/auth/role-assignments/{assignment_id}
OpenAPI reference:
/openapi.en.json DELETE /v1/public/accounts/{account_id}/auth/role-assignments/{assignment_id}